Skip to main content
DELETE
Delete an owner

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json
id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
owner
address
object | null
required

The owner's address.

business_type
enum<string>
required

The legal type of the owner.

Available options:
individual,
company
client_secret
string
required

A secret token used to authenticate owner-scoped requests, such as generating PDF statements.

company
object | null
required

Information about the company. Only present when business_type is company.

country
string | null
required

Two-letter ISO code representing the country of the owner.

email
string | null
required

The owner's contact email address.

external_account
required

The external account to which payouts are sent.

individual
object | null
required

Information about the individual. Only present when business_type is individual.

name
string | null
required

Display name of the owner.

requirements
object
required

Outstanding requirements for the owner.

settings
object
required

Configurable settings for the owner.

status
enum<string>
required

The current status of the owner.

Available options:
complete,
incomplete,
disabled,
archived
tax_residency
string | null
required

Two-letter ISO code representing the owner's tax residency country.

type
enum<string>
required

The type of the owner.

Available options:
landlord,
leaseholder,
platform,
supplier
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

balance
number
default:0

The owner's current balance, in the smallest currency unit.

metadata
object | null

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

payouts_enabled
boolean
default:false

Whether the owner is currently able to receive payouts.